using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

using System.Data;
using System.Collections;
using System.Data.SqlClient;


namespace VideOpportunity{

[WebService(
   Namespace="http://research.altec.gr/ONAR/",
   Description="This Service Instance realizes the <b> VideOpportunity Ontology (<I>   "
               + "    <a Href='http://212.89.165.216/ONARServer/Ontologies/VideOpportunity.owl'> OWL  </a>   "
               + ",   <a Href='http://212.89.165.216/ONARServer/Ontologies/VideOpportunity.oom'> Grounding  </a>   "
               + ",   <a Href='http://212.89.165.216/ONARServer/Ontologies/VideOpportunity.jpg'> Graphical Model </a></I>  )</b> "
)] 
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
	public class VideOpportunity: System.Web.Services.WebService
	{
		#region Web Form Designer generated code
		public VideOpportunity()
		{
			   //Uncomment the following line if using designed components 
        //InitializeComponent(); 
		}
    #endregion 

#region getOpportunityfromEmployee Method
		/// <summary>
  		///return the Opportunity Id and status for a given Employee
        	/// </summary>

		public class getOpportunityfromEmployeeResult{
		   public int? _Responsible_for_Opportunity_Opp_Id;
		   public string _Responsible_for_Opportunity_Status;
		   public int? _Responsible_for_Opportunity_EmployeeID;
		}

   		[WebMethod
		(Description="return the Opportunity Id and status for a given Employee <a href='http://212.89.165.216/Onarserver/Services/Profiles/VideOpportunity/getOpportunityfromEmployee.owl'>(OWLSProfile)</a> <a href='http://212.89.165.216/Onarserver/Services/Models/VideOpportunity/getOpportunityfromEmployee.osm'>(Software Instance Model)</a>")]

		public getOpportunityfromEmployeeResult[] getOpportunityfromEmployee(string LastName,string FirstName ){

			ArrayList tempDataset = new ArrayList();
			getOpportunityfromEmployeeResult temprecord = new getOpportunityfromEmployeeResult();
//constringstart
			string myConnString = "Password=123;Persist Security Info=True;User ID=sa;Initial Catalog=TheVideCompany;Data Source=(local)";
        		SqlConnection DB = new SqlConnection();
			DB.ConnectionString = myConnString;
			DB.Open();
			SqlCommand query = new SqlCommand();
			query.Connection = DB;
			query.CommandText = "select T1.Opp_id,T1.Status,T1.EmployeeID from Employees T0,  Biz_Opportunity T1   where T0.EmployeeID = T1.EmployeeID and T0.LastName = @LastName and T0.FirstName = @FirstName ";
 // Parameters
      SqlParameter SQLPARAM_LastName = new SqlParameter("@LastName",SqlDbType.VarChar);
      if (LastName == null) 
         SQLPARAM_LastName.Value = DBNull.Value;
      else 
         SQLPARAM_LastName.Value =LastName;
      query.Parameters.Add(SQLPARAM_LastName);
      SqlParameter SQLPARAM_FirstName = new SqlParameter("@FirstName",SqlDbType.VarChar);
      if (FirstName == null) 
         SQLPARAM_FirstName.Value = DBNull.Value;
      else 
         SQLPARAM_FirstName.Value =FirstName;
      query.Parameters.Add(SQLPARAM_FirstName);
 // Query Execution
			SqlDataReader myReader = query.ExecuteReader();
			try{
			   while (myReader.Read()){
				  temprecord = new getOpportunityfromEmployeeResult();
				  if (myReader.GetSqlInt32(0).IsNull) 
            temprecord._Responsible_for_Opportunity_Opp_Id =null;
         else
				     temprecord._Responsible_for_Opportunity_Opp_Id = (Int32) myReader.GetSqlInt32(0);
				  if (myReader.GetSqlString(1).IsNull) 
            temprecord._Responsible_for_Opportunity_Status = "";
         else
				     temprecord._Responsible_for_Opportunity_Status = (string) myReader.GetSqlString(1);
				  if (myReader.GetSqlInt32(2).IsNull) 
            temprecord._Responsible_for_Opportunity_EmployeeID =null;
         else
				     temprecord._Responsible_for_Opportunity_EmployeeID = (Int32) myReader.GetSqlInt32(2);
				  tempDataset.Add(temprecord);
				   }
			}
			finally{
			   myReader.Close();
			   DB.Close();
			}
			getOpportunityfromEmployeeResult[] response = new getOpportunityfromEmployeeResult[tempDataset.Count];
			for(int i=0; i != tempDataset.Count ;i++){
			   response[i] = (getOpportunityfromEmployeeResult)tempDataset[i];
			}
			return response;
		}

   		
		

#endregion

#region NewSoftwareInstance Method
		/// <summary>
  		///
        	/// </summary>

		public class NewSoftwareInstanceResult{
		   public string _LastName;
		}

   		[WebMethod
		(Description=" <a href='http://212.89.165.216/Onarserver/Services/Profiles/VideOpportunity/NewSoftwareInstance.owl'>(OWLSProfile)</a> <a href='http://212.89.165.216/Onarserver/Services/Models/VideOpportunity/NewSoftwareInstance.osm'>(Software Instance Model)</a>")]

		public NewSoftwareInstanceResult[] NewSoftwareInstance(int? EmployeeID ){

			ArrayList tempDataset = new ArrayList();
			NewSoftwareInstanceResult temprecord = new NewSoftwareInstanceResult();
//constringstart
			string myConnString = "Password=123;Persist Security Info=True;User ID=sa;Initial Catalog=TheVideCompany;Data Source=MAVRLAP-XP";
        		SqlConnection DB = new SqlConnection();
			DB.ConnectionString = myConnString;
			DB.Open();
			SqlCommand query = new SqlCommand();
			query.Connection = DB;
			query.CommandText = "select T0.LastName from Employees T0   where T0.EmployeeID = @EmployeeID ";
 // Parameters
      SqlParameter SQLPARAM_EmployeeID = new SqlParameter("@EmployeeID",SqlDbType.Int);
      if (EmployeeID == null) 
         SQLPARAM_EmployeeID.Value = DBNull.Value;
      else 
         SQLPARAM_EmployeeID.Value =EmployeeID;
      query.Parameters.Add(SQLPARAM_EmployeeID);
 // Query Execution
			SqlDataReader myReader = query.ExecuteReader();
			try{
			   while (myReader.Read()){
				  temprecord = new NewSoftwareInstanceResult();
				  if (myReader.GetSqlString(0).IsNull) 
            temprecord._LastName = "";
         else
				     temprecord._LastName = (string) myReader.GetSqlString(0);
				  tempDataset.Add(temprecord);
				   }
			}
			finally{
			   myReader.Close();
			   DB.Close();
			}
			NewSoftwareInstanceResult[] response = new NewSoftwareInstanceResult[tempDataset.Count];
			for(int i=0; i != tempDataset.Count ;i++){
			   response[i] = (NewSoftwareInstanceResult)tempDataset[i];
			}
			return response;
		}
#endregion

#region NewSoftwareInstance1 Method
		/// <summary>
  		///
        	/// </summary>

		public class NewSoftwareInstance1Result{
		   public string _Name;
		}

   		[WebMethod
		(Description=" <a href='http://212.89.165.216/Onarserver/Services/Profiles/VideOpportunity/NewSoftwareInstance1.owl'>(OWLSProfile)</a> <a href='http://212.89.165.216/Onarserver/Services/Models/VideOpportunity/NewSoftwareInstance1.osm'>(Software Instance Model)</a>")]

		public NewSoftwareInstance1Result[] NewSoftwareInstance1(int? ProductID ){

			ArrayList tempDataset = new ArrayList();
			NewSoftwareInstance1Result temprecord = new NewSoftwareInstance1Result();
//constringstart
			string myConnString = "Password=123;Persist Security Info=True;User ID=sa;Initial Catalog=TheVideCompany;Data Source=(local)";
        		SqlConnection DB = new SqlConnection();
			DB.ConnectionString = myConnString;
			DB.Open();
			SqlCommand query = new SqlCommand();
			query.Connection = DB;
			query.CommandText = "select T0.ProductName from Products T0   where T0.ProductID = @ProductID ";
 // Parameters
      SqlParameter SQLPARAM_ProductID = new SqlParameter("@ProductID",SqlDbType.Int);
      if (ProductID == null) 
         SQLPARAM_ProductID.Value = DBNull.Value;
      else 
         SQLPARAM_ProductID.Value =ProductID;
      query.Parameters.Add(SQLPARAM_ProductID);
 // Query Execution
			SqlDataReader myReader = query.ExecuteReader();
			try{
			   while (myReader.Read()){
				  temprecord = new NewSoftwareInstance1Result();
				  if (myReader.GetSqlString(0).IsNull) 
            temprecord._Name = "";
         else
				     temprecord._Name = (string) myReader.GetSqlString(0);
				  tempDataset.Add(temprecord);
				   }
			}
			finally{
			   myReader.Close();
			   DB.Close();
			}
			NewSoftwareInstance1Result[] response = new NewSoftwareInstance1Result[tempDataset.Count];
			for(int i=0; i != tempDataset.Count ;i++){
			   response[i] = (NewSoftwareInstance1Result)tempDataset[i];
			}
			return response;
		}
#endregion

#region NewSoftwareInstance2 Method
		/// <summary>
  		///
        	/// </summary>

		public class NewSoftwareInstance2Result{
		   public int? _DealerID;
		}

   		[WebMethod
		(Description=" <a href='http://212.89.165.216/Onarserver/Services/Profiles/VideOpportunity/NewSoftwareInstance2.owl'>(OWLSProfile)</a> <a href='http://212.89.165.216/Onarserver/Services/Models/VideOpportunity/NewSoftwareInstance2.osm'>(Software Instance Model)</a>")]

		public NewSoftwareInstance2Result[] NewSoftwareInstance2(string CompanyName ){

			ArrayList tempDataset = new ArrayList();
			NewSoftwareInstance2Result temprecord = new NewSoftwareInstance2Result();
//constringstart
			string myConnString = "Password=123;Persist Security Info=True;User ID=sa;Initial Catalog=TheVideCompany;Data Source=(local)";
        		SqlConnection DB = new SqlConnection();
			DB.ConnectionString = myConnString;
			DB.Open();
			SqlCommand query = new SqlCommand();
			query.Connection = DB;
			query.CommandText = "select T0.ShipperID from Shippers T0   where T0.CompanyName = @CompanyName ";
 // Parameters
      SqlParameter SQLPARAM_CompanyName = new SqlParameter("@CompanyName",SqlDbType.VarChar);
      if (CompanyName == null) 
         SQLPARAM_CompanyName.Value = DBNull.Value;
      else 
         SQLPARAM_CompanyName.Value =CompanyName;
      query.Parameters.Add(SQLPARAM_CompanyName);
 // Query Execution
			SqlDataReader myReader = query.ExecuteReader();
			try{
			   while (myReader.Read()){
				  temprecord = new NewSoftwareInstance2Result();
				  if (myReader.GetSqlInt32(0).IsNull) 
            temprecord._DealerID =null;
         else
				     temprecord._DealerID = (Int32) myReader.GetSqlInt32(0);
				  tempDataset.Add(temprecord);
				   }
			}
			finally{
			   myReader.Close();
			   DB.Close();
			}
			NewSoftwareInstance2Result[] response = new NewSoftwareInstance2Result[tempDataset.Count];
			for(int i=0; i != tempDataset.Count ;i++){
			   response[i] = (NewSoftwareInstance2Result)tempDataset[i];
			}
			return response;
		}
#endregion





//<#newmethod>
	}
}




